Subject: Re: [rtcweb] I-D Action: draft-ietf-rtcweb-stun-consent-freshness-08.txt - Some additional questions

From: Christer Holmberg <[email-masked]>
Date: Mon, 27 Oct 2014 18:10:34 +0000

Hi,

Thanks for putting together the new version! It makes a number of things more clear :)

I do still have a few comments/questions (hopefully editorial ones), though:

Q1:
-----

I think it would be good to explicitly clarify that, when consent expires on a 5-tuple/candidate pair, it does not affect other 5-tuples within the session. I have received questions on that, so I think some words would be useful to make it more clear.

(Of course, one CAN choose to terminate the whole session if consent expires on a candidate pair, but that depends on application policy).

Q2:
-----

If consent expires, and I stop sending application data, will I still send STUN keep-alives etc, to keep the candidate pair, NAT bindings etc alive? 

There IS text saying:

	"An endpoint that is not sending any application data does not need to
   	maintain consent.  However, the endpoint needs to ensure its NAT or
   	firewall mappings persist which can be done using keepalive or other
   	techniques (see Section 10 of [RFC5245] and see [RFC6263])."

However, that seems to be more related to cases where I don't intend to send application data to begin with.

So, perhaps the text above can be modified, to clarify that keepalives etc will still be sent if consent expires.

Q3:
-----

Section 4.1. says:

	"If the endpoint wants to send application data, it needs to first obtain
   	consent if its consent has expired."

If my consent has expired, is the a time period before I can try to obtain consent again? Can I just continue sending STUN binding requests even if my consent expires, and wait to obtain consent again?

(I obviously won't send any application data until I obtain consent again.)

Q4:
-----

When my consent expires, is it considered an error if I also choose to not receive any data? If not, I think it would be good to indicate that one may choose to also stop receiving data in case consent expires.

Q5:
-----

Assuming I send RTP and RTCP on separate 5-tuples, and consent expires on one of the 5-tuples. I assume that will impact both 5-tuples, and in that case I think it would be good to clarify.

Thanks!

Regards,

Christer